
package org.trustedcomputinggroup._2010.ifmap._2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IdentityType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdentityType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="administrative-domain" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="type" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *             &lt;enumeration value="aik-name"/>
 *             &lt;enumeration value="distinguished-name"/>
 *             &lt;enumeration value="dns-name"/>
 *             &lt;enumeration value="email-address"/>
 *             &lt;enumeration value="hip-hit"/>
 *             &lt;enumeration value="kerberos-principal"/>
 *             &lt;enumeration value="trusted-platform-module"/>
 *             &lt;enumeration value="username"/>
 *             &lt;enumeration value="sip-uri"/>
 *             &lt;enumeration value="tel-uri"/>
 *             &lt;enumeration value="other"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="other-type-definition" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdentityType")
public class IdentityType {

    @XmlAttribute(name = "administrative-domain")
    protected String administrativeDomain;
    @XmlAttribute(required = true)
    protected String name;
    @XmlAttribute(required = true)
    protected String type;
    @XmlAttribute(name = "other-type-definition")
    protected String otherTypeDefinition;

    /**
     * Gets the value of the administrativeDomain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdministrativeDomain() {
        return administrativeDomain;
    }

    /**
     * Sets the value of the administrativeDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdministrativeDomain(String value) {
        this.administrativeDomain = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the otherTypeDefinition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOtherTypeDefinition() {
        return otherTypeDefinition;
    }

    /**
     * Sets the value of the otherTypeDefinition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOtherTypeDefinition(String value) {
        this.otherTypeDefinition = value;
    }

}
